<f:if condition="{pagination.allPageNumbers -> f:count()} > 1">
    <f:debug>{pagination.paginator}</f:debug>
    <div class="c-paginationcontainer">
        <p>Seite {pagination.paginator.currentPageNumber} von {pagination.paginator.numberOfPages}</p>
        <div class="c-pagination">
            <div class="c-pagination__list">
                <f:if condition="{pagination.previousPageNumber} && {pagination.previousPageNumber} >= {pagination.firstPageNumber}">
                    <f:then>
                        <a href="{f:uri.action(action:actionName, arguments:{currentPage: pagination.previousPageNumber},addQueryString:1)}" title="{f:translate(key:'widget.pagination.previous', extensionName: 'fluid')}" class="prev">
                            {f:translate(key:'widget.pagination.previous', extensionName: 'fluid', extensionName: 'fluid')}
                        </a>
                    </f:then>
                </f:if>
                <f:if condition="{pagination.hasLessPages}">
                    <a disabled="disabled">…</a>
                </f:if>
                <f:for each="{pagination.allPageNumbers}" as="page">
                    <f:if condition="{page} == {paginator.currentPageNumber}">
                        <f:then>
                            <a href="{f:uri.action(action:actionName, arguments:{currentPage: page},addQueryString:1)}" class="current">{page}</a>
                        </f:then>
                        <f:else>
                            <a href="{f:uri.action(action:actionName, arguments:{currentPage: page},addQueryString:1)}">{page}</a>
                        </f:else>
                    </f:if>
                </f:for>
                <f:if condition="{pagination.hasMorePages}">
                    <a disabled="disabled">…</a>
                </f:if>
                <f:if condition="{pagination.nextPageNumber} && {pagination.nextPageNumber} <= {pagination.lastPageNumber}">
                    <f:then>
                        <a href="{f:uri.action(action:actionName, arguments:{currentPage: pagination.nextPageNumber},addQueryString:1)}" title="{f:translate(key:'widget.pagination.next', extensionName: 'fluid')}" class="next">
                            {f:translate(key:'widget.pagination.next', extensionName: 'fluid')}
                        </a>
                    </f:then>
                </f:if>
            </div>
        </div>
    </div>
</f:if>
